/*
* Copyright 2019-2021 Amazon.com, Inc. or its affiliates. All Rights Reserved.
*
* SPDX-License-Identifier:	GPL-2.0+
*/

#include "drvGPIO.h"
#include "ring_gpio_config.h"

int set_mtk_gpios(void)
{
	MDrv_GPIO_Pad_Set(GPIO_FUART_RX);
	mdrv_gpio_set_input(GPIO_FUART_RX);
	MDrv_GPIO_Pad_Set(GPIO_FUART_TX);
	mdrv_gpio_set_input(GPIO_FUART_TX);

	return 0;
}

void configure_boot_ack(void)
{
	MDrv_GPIO_Pad_Set(GPIO_WF_TX_IRQ);
}

void signal_boot_ack_pulse(void)
{
	mdrv_gpio_set_high(GPIO_WF_TX_IRQ);
	udelay(10);
	mdrv_gpio_set_low(GPIO_WF_TX_IRQ);
}
